package com.ejie.ab63.model.terceros;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * DatosTerOtc  
 * 
 *  
 */

public class DatosTerOtc implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDatoTerOtc;
	private Integer idTercero;
	private Long telefono;
	private Long fax;
	private String email;
	private String horarioAtencion;
	private String equipamiento;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'DatosTerOtc'.
	 */
	public DatosTerOtc() {
	}

	/**
	 * Method 'DatosTerOtc'.
	 * 
	 * @param idDatoTerOtc
	 *            Integer
	 */
	public DatosTerOtc(Integer idDatoTerOtc) {
		this.idDatoTerOtc = idDatoTerOtc;
	}

	/**
	 * Method 'DatosTerOtc'.
	 * 
	 * @param idDatoTerOtc
	 *            Integer
	 * @param idTercero
	 *            Integer
	 * @param telefono
	 *            Long
	 * @param fax
	 *            Long
	 * @param email
	 *            String
	 * @param horarioAtencion
	 *            String
	 * @param equipamiento
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public DatosTerOtc(Integer idDatoTerOtc, Integer idTercero, Long telefono, Long fax, String email,
			String horarioAtencion, String equipamiento, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idDatoTerOtc = idDatoTerOtc;
		this.idTercero = idTercero;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.horarioAtencion = horarioAtencion;
		this.equipamiento = equipamiento;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdDatoTerOtc'.
	 *
	 * @return Integer
	 */

	public Integer getIdDatoTerOtc() {
		return this.idDatoTerOtc;
	}

	/**
	 * Method 'setIdDatoTerOtc'.
	 *
	 * @param idDatoTerOtc
	 *            Integer
	 * @return
	 */

	public void setIdDatoTerOtc(Integer idDatoTerOtc) {
		this.idDatoTerOtc = idDatoTerOtc;
	}

	/**
	 * Method 'getIdTercero'.
	 *
	 * @return Integer
	 */

	public Integer getIdTercero() {
		return this.idTercero;
	}

	/**
	 * Method 'setIdTercero'.
	 *
	 * @param idTercero
	 *            Integer
	 * @return
	 */

	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	/**
	 * Method 'getTelefono'.
	 *
	 * @return Long
	 */

	public Long getTelefono() {
		return this.telefono;
	}

	/**
	 * Method 'setTelefono'.
	 *
	 * @param telefono
	 *            Long
	 * @return
	 */

	public void setTelefono(Long telefono) {
		this.telefono = telefono;
	}

	/**
	 * Method 'getFax'.
	 *
	 * @return Long
	 */

	public Long getFax() {
		return this.fax;
	}

	/**
	 * Method 'setFax'.
	 *
	 * @param fax
	 *            Long
	 * @return
	 */

	public void setFax(Long fax) {
		this.fax = fax;
	}

	/**
	 * Method 'getEmail'.
	 *
	 * @return String
	 */

	public String getEmail() {
		return this.email;
	}

	/**
	 * Method 'setEmail'.
	 *
	 * @param email
	 *            String
	 * @return
	 */

	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Method 'getHorarioAtencion'.
	 *
	 * @return String
	 */

	public String getHorarioAtencion() {
		return this.horarioAtencion;
	}

	/**
	 * Method 'setHorarioAtencion'.
	 *
	 * @param horarioAtencion
	 *            String
	 * @return
	 */

	public void setHorarioAtencion(String horarioAtencion) {
		this.horarioAtencion = horarioAtencion;
	}

	/**
	 * Method 'getEquipamiento'.
	 *
	 * @return String
	 */

	public String getEquipamiento() {
		return this.equipamiento;
	}

	/**
	 * Method 'setEquipamiento'.
	 *
	 * @param equipamiento
	 *            String
	 * @return
	 */

	public void setEquipamiento(String equipamiento) {
		this.equipamiento = equipamiento;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDatoTerOtc: ").append(this.idDatoTerOtc).append(" ]");
		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");
		result.append(", [ telefono: ").append(this.telefono).append(" ]");
		result.append(", [ fax: ").append(this.fax).append(" ]");
		result.append(", [ email: ").append(this.email).append(" ]");
		result.append(", [ horarioAtencion: ").append(this.horarioAtencion).append(" ]");
		result.append(", [ equipamiento: ").append(this.equipamiento).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
